RagTime5StyleManagerInternal::State Struct Reference

Internal: the state of a RagTime5Style. More...

## Public Member Functions
| State ()
| constructor
void | initColorsList ()
| init the color list (if empty)

## Public Attributes
std::vector< MWAWColor > | m_colorsList
| the list of color
std::vector< MWAWCell::Format > | m_formatList
| the list of format
std::vector< RagTime5StyleManager::GraphicStyle > | m_graphicStyleList
| the list of graphic styles
std::vector< RagTime5StyleManager::TextStyle > | m_textStyleList
| the list of text styles

## Detailed Description

Internal: the state of a RagTime5Style.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5StyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initColorsList()

void RagTime5StyleManagerInternal::State::initColorsList | ( |  | ) |

init the color list (if empty)

## Member Data Documentation

## ◆ m_colorsList

std::vector<MWAWColor> RagTime5StyleManagerInternal::State::m_colorsList

the list of color

Referenced by initColorsList(), and State().

## ◆ m_formatList

std::vector<MWAWCell::Format> RagTime5StyleManagerInternal::State::m_formatList

the list of format

Referenced by State().

## ◆ m_graphicStyleList

std::vector<RagTime5StyleManager::GraphicStyle> RagTime5StyleManagerInternal::State::m_graphicStyleList

the list of graphic styles

Referenced by State().

## ◆ m_textStyleList

std::vector<RagTime5StyleManager::TextStyle> RagTime5StyleManagerInternal::State::m_textStyleList

the list of text styles

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTime5StyleManager.cxx